> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar

> Lista todos los almacenes.



## OpenAPI

````yaml /api/openapi.json get /logistics/warehouses
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /logistics/warehouses:
    get:
      tags:
        - Almacenes
      summary: Listar
      description: Lista todos los almacenes.
      operationId: listWarehouses
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Warehouse'
components:
  schemas:
    Warehouse:
      description: ''
      type: object
      properties:
        id:
          type: number
        name:
          type: string
          minLength: 1
        code:
          type: string
        address:
          type: string
        coordinates:
          type: array
          items:
            properties: {}
        isDefault:
          type: boolean
        location:
          type: object
          properties:
            line:
              type: string
            reference:
              type: string
            erpCode:
              type: string
            zipCode:
              type: string
            contactName:
              type: string
            contactPhone:
              type: string
            contactEmail:
              type: string
            coordinates:
              type: array
              items:
                properties: {}
            divisions:
              type: object
              properties:
                level1:
                  type: string
                level2:
                  type: string
                level3:
                  type: string
                level4:
                  type: string
              required:
                - level1
                - level2
                - level3
                - level4
          required:
            - line
            - reference
            - erpCode
            - zipCode
            - contactName
            - contactPhone
            - contactEmail
            - coordinates
            - divisions
        slug:
          type: string
          minLength: 1
      required:
        - id
        - name
        - code
        - address
        - coordinates
        - isDefault
        - location
        - slug
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````